Policy Set Definitions - Get Built In

Retrieves a built in policy set definition.
This operation retrieves the built-in policy set definition with the given name.

GET https://management.azure.com/providers/Microsoft.Authorization/policySetDefinitions/{policySetDefinitionName}?api-version=2021-06-01

URI Parameters

Name In Required Type Description
policySetDefinitionName
path True
  • string

The name of the policy set definition to get.

api-version
query True
  • string

The API version to use for the operation.

Responses

Name Type Description
200 OK

OK - Returns information about the built in policy set definition.

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Retrieve a built-in policy set definition

Sample Request

GET https://management.azure.com/providers/Microsoft.Authorization/policySetDefinitions/1f3afdf9-d0c9-4c3d-847f-89da613e70a8?api-version=2021-06-01

Sample Response

{
  "properties": {
    "displayName": "[Preview]: Enable Monitoring in Azure Security Center",
    "policyType": "BuiltIn",
    "description": "Monitor all the available security recommendations in Azure Security Center. This is the default policy for Azure Security Center.",
    "metadata": {
      "category": "Security Center"
    },
    "parameters": {},
    "policyDefinitions": [
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/a8bef009-a5c9-4d0f-90d7-6018734e8a16",
        "policyDefinitionReferenceId": "RefId1"
      },
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/af8051bf-258b-44e2-a2bf-165330459f9d",
        "policyDefinitionReferenceId": "RefId2"
      },
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/86b3d65f-7626-441e-b690-81a8b71cff60",
        "policyDefinitionReferenceId": "RefId3"
      },
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/655cb504-bcee-4362-bd4c-402e6aa38759",
        "policyDefinitionReferenceId": "RefId4"
      },
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/b0f33259-77d7-4c9e-aac6-3aabcfae693c",
        "policyDefinitionReferenceId": "RefId5"
      },
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/47a6b606-51aa-4496-8bb7-64b11cf66adc",
        "policyDefinitionReferenceId": "RefId6"
      },
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/44452482-524f-4bf4-b852-0bff7cc4a3ed",
        "policyDefinitionReferenceId": "RefId7"
      },
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/e1e5fd5d-3e4c-4ce1-8661-7d1873ae6b15",
        "policyDefinitionReferenceId": "RefId8"
      },
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/af6cd1bd-1635-48cb-bde7-5b15693900b9",
        "policyDefinitionReferenceId": "RefId9"
      },
      {
        "policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/0961003e-5a0a-4549-abde-af6a37f2724d",
        "policyDefinitionReferenceId": "RefId10"
      }
    ]
  },
  "id": "/providers/Microsoft.Authorization/policySetDefinitions/1f3afdf9-d0c9-4c3d-847f-89da613e70a8",
  "type": "Microsoft.Authorization/policySetDefinitions",
  "name": "1f3afdf9-d0c9-4c3d-847f-89da613e70a8"
}

Definitions

CloudError

An error response from a policy operation.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorResponse

Error Response

Metadata

General metadata for the parameter.

ParameterDefinitionsValue

The definition of a parameter that can be provided to the policy.

parameterType

The data type of the parameter.

ParameterValuesValue

The value of a parameter.

PolicyDefinitionGroup

The policy definition group.

PolicyDefinitionReference

The policy definition reference.

PolicySetDefinition

The policy set definition.

policyType

The type of policy definition. Possible values are NotSpecified, BuiltIn, Custom, and Static.

systemData

Metadata pertaining to creation and last modification of the resource.

CloudError

An error response from a policy operation.

Name Type Description
error

Error Response
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.)

createdByType

The type of identity that created the resource.

Name Type Description
Application
  • string
Key
  • string
ManagedIdentity
  • string
User
  • string

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info
  • object

The additional info.

type
  • string

The additional info type.

ErrorResponse

Error Response

Name Type Description
additionalInfo

The error additional info.

code
  • string

The error code.

details

The error details.

message
  • string

The error message.

target
  • string

The error target.

Metadata

General metadata for the parameter.

Name Type Description
assignPermissions
  • boolean

Set to true to have Azure portal create role assignments on the resource ID or resource scope value of this parameter during policy assignment. This property is useful in case you wish to assign permissions outside the assignment scope.

description
  • string

The description of the parameter.

displayName
  • string

The display name for the parameter.

strongType
  • string

Used when assigning the policy definition through the portal. Provides a context aware list of values for the user to choose from.

ParameterDefinitionsValue

The definition of a parameter that can be provided to the policy.

Name Type Description
allowedValues
  • object[]

The allowed values for the parameter.

defaultValue
  • object

The default value for the parameter if no value is provided.

metadata

General metadata for the parameter.

type

The data type of the parameter.

parameterType

The data type of the parameter.

Name Type Description
Array
  • string
Boolean
  • string
DateTime
  • string
Float
  • string
Integer
  • string
Object
  • string
String
  • string

ParameterValuesValue

The value of a parameter.

Name Type Description
value
  • object

The value of the parameter.

PolicyDefinitionGroup

The policy definition group.

Name Type Description
additionalMetadataId
  • string

A resource ID of a resource that contains additional metadata about the group.

category
  • string

The group's category.

description
  • string

The group's description.

displayName
  • string

The group's display name.

name
  • string

The name of the group.

PolicyDefinitionReference

The policy definition reference.

Name Type Description
groupNames
  • string[]

The name of the groups that this policy definition reference belongs to.

parameters

The parameter values for the referenced policy rule. The keys are the parameter names.

policyDefinitionId
  • string

The ID of the policy definition or policy set definition.

policyDefinitionReferenceId
  • string

A unique id (within the policy set definition) for this policy definition reference.

PolicySetDefinition

The policy set definition.

Name Type Description
id
  • string

The ID of the policy set definition.

name
  • string

The name of the policy set definition.

properties.description
  • string

The policy set definition description.

properties.displayName
  • string

The display name of the policy set definition.

properties.metadata
  • object

The policy set definition metadata. Metadata is an open ended object and is typically a collection of key value pairs.

properties.parameters

The policy set definition parameters that can be used in policy definition references.

properties.policyDefinitionGroups

The metadata describing groups of policy definition references within the policy set definition.

properties.policyDefinitions

An array of policy definition references.

properties.policyType

The type of policy definition. Possible values are NotSpecified, BuiltIn, Custom, and Static.

systemData

The system metadata relating to this resource.

type
  • string

The type of the resource (Microsoft.Authorization/policySetDefinitions).

policyType

The type of policy definition. Possible values are NotSpecified, BuiltIn, Custom, and Static.

Name Type Description
BuiltIn
  • string
Custom
  • string
NotSpecified
  • string
Static
  • string

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt
  • string

The timestamp of resource creation (UTC).

createdBy
  • string

The identity that created the resource.

createdByType

The type of identity that created the resource.

lastModifiedAt
  • string

The timestamp of resource last modification (UTC)

lastModifiedBy
  • string

The identity that last modified the resource.

lastModifiedByType

The type of identity that last modified the resource.